Name: fonts-ttf-opensans
Summary: OpenSans TrueType fonts
Version: 1.0
Release: %mkrel 1
License: GPL 
Group: System/Fonts/True type
Source: %{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/build-root-%{name}
BuildArch: noarch
URL: https://www.1001fonts.com/open-sans-font.html

%description
OpenSans TrueType Fonts

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot
mkdir -p %buildroot/usr/share/fonts/opensans
tar xf %SOURCE0 -C %buildroot/usr/share/fonts/opensans


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{_datadir}/fonts/opensans


%post
{
	ttmkfdir -d %{_datadir}/fonts/opensans -o %{_datadir}/fonts/opensans/fonts.scale
	umask 133
	/usr/X11R6/bin/mkfontdir %{_datadir}/fonts/opensans
	/usr/sbin/chkfontpath -q -a %{_datadir}/fonts/opensans
	[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache
} &> /dev/null || :

%preun
{
	if [ "$1" = "0" ]; then
		cd %{_datadir}/fonts/opensans
		rm -f fonts.dir fonts.scale fonts.cache*
	fi
} &> /dev/null || :

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{_datadir}/fonts/opensans
fi
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache


%changelog
* Tue May 04 2021 tex - 1.0-1pclos2021
- create pkg
